|  | Home · All Classes · Modules

# QDomEntityReference Class Reference
[QtXml module]

The QDomEntityReference class represents an XML entity reference. More...

Inherits QDomNode.

### Methods

- __init__ (self)
- __init__ (self, QDomEntityReference)
- QDomNode.NodeType nodeType (self)

## Detailed Description

The QDomEntityReference class represents an XML entity reference.

A QDomEntityReference object may be inserted into the DOM tree when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are expanded by the XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference.

Moreover, the XML processor may completely expand references to entities while building the DOM tree, instead of providing QDomEntityReference objects.

If it does provide such objects, then for a given entity reference node, it may be that there is no entity node representing the referenced entity; but if such an entity exists, then the child list of the entity reference node is the same as that of the entity node. As with the entity node, all descendants of the entity reference are read-only.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Method Documentation

### QDomEntityReference.__init__ (self)

Constructs an empty entity reference. Use QDomDocument.createEntityReference() to create a entity reference with content.

### QDomEntityReference.__init__ (self, QDomEntityReference)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode.NodeType QDomEntityReference.nodeType (self)

Returns `EntityReference`.